import { Card, Grid } from '@mui/material';
import { useParams } from 'react-router-dom';
import HeaderBreadcrumbs from '../../../components/HeaderBreadcrumbs';
import Page from '../../../components/Page';
import useSettings from '../../../hooks/useSettings';
import CorporateTabNavigations from '../CorporateTabNavigations';
import MemberList from './List';

import { useContext, useEffect, useState } from 'react';
import { ConfiguredCorporateContext } from '@/contexts/ConfiguredCorporateContext';
import { Corporate } from '@/@types/corporates';

export default function Divisions() {
  const { themeStretch } = useSettings();

  const { corporate_id } = useParams();
  const [corporate, setCorporate] = useState<Corporate | null>();

  const configuredCorporateContext = useContext(ConfiguredCorporateContext);

  useEffect(() => {
    setCorporate(configuredCorporateContext.currentCorporate);
  }, [configuredCorporateContext]);

  return (
    <Page title="Corporate Plan">
      <HeaderBreadcrumbs
        heading={'Corporate Plan'}
        links={[
          {
            name: 'Corporates',
            href: '/corporates',
          },
          {
            name: corporate?.name ?? '-',
            href: '/corporates/' + corporate_id,
          },
          {
            name: 'Member',
            href: '/corporates/' + corporate_id + '/members',
          },
        ]}
      />

      <Card>
        <CorporateTabNavigations position={'members'} />
        <MemberList />
      </Card>
    </Page>
  );
}
